Update an internal comment
curl --request PATCH \
--url https://productlane.com/api/v2/threads/{thread_id}/comments/{comment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"attachments": [
{
"Name": "<string>",
"ContentType": "<string>",
"Content": "<string>",
"ContentLength": "<string>",
"ContentID": "<string>"
}
]
}
'import requests
url = "https://productlane.com/api/v2/threads/{thread_id}/comments/{comment_id}"
payload = {
"content": "<string>",
"attachments": [
{
"Name": "<string>",
"ContentType": "<string>",
"Content": "<string>",
"ContentLength": "<string>",
"ContentID": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
attachments: [
{
Name: '<string>',
ContentType: '<string>',
Content: '<string>',
ContentLength: '<string>',
ContentID: '<string>'
}
]
})
};
fetch('https://productlane.com/api/v2/threads/{thread_id}/comments/{comment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"content": "<string>",
"attachments": "<array>",
"thread_id": "<string>",
"user_id": "<string>"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Threads
Update an internal comment
Edit an internal comment. Requires the comments:write scope.
PATCH
/
threads
/
{thread_id}
/
comments
/
{comment_id}
Update an internal comment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I